import * as core from "@terrascript/core";

export interface BudgetResourceAssociationArgs extends core.ResourceArgs {
  budgetName: string | core.StringOut;

  resourceId: string | core.StringOut;
}

export class BudgetResourceAssociation extends core.Resource<BudgetResourceAssociationArgs> {
  @core.attr(String)
  public budgetName!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public resourceId!: string | core.StringOut;

  constructor(name: string, args?: BudgetResourceAssociationArgs) {
    super(name, "aws_servicecatalog_budget_resource_association", args);
  }

  public override getNamespace(): string {
    return "aws_servicecatalog";
  }
}
